<?php

class Controller_Office_Statistics extends Controller_Environment_Office
{
    public function action_index() {
        $this->action_requests();
    }

    public function action_requests() {
        $sqlDateFormat = 'Y-m-d';
        $dateFrom = date($sqlDateFormat, strtotime(" -1 months"));
        $dateTo = date($sqlDateFormat);
        $this->twig->set([
            'Statistics' => Model_Statistics::requests($dateFrom, $dateTo),
            'Title' => 'Статистика обращений в техподдержку',
            'Label' => 'обращения',
            'DateFrom' => DateTime::createFromFormat($sqlDateFormat, $dateFrom)->format('d-m-Y'),
            'DateTo' => DateTime::createFromFormat($sqlDateFormat, $dateTo)->format('d-m-Y'),
            'HandlerActionName' => 'requests',
        ])->set_filename(static::OFFICE . 'statistics/chart');
    }

    public function action_log_ins() {
        $sqlDateFormat = 'Y-m-d';
        $dateFrom = date($sqlDateFormat, strtotime(" -1 months"));
        $dateTo = date($sqlDateFormat);
        $this->twig->set([
            'Statistics' => Model_Statistics::log_ins($dateFrom, $dateTo),
            'Title' => 'Статистика входов',
            'Label' => 'входы',
            'DateFrom' => DateTime::createFromFormat($sqlDateFormat, $dateFrom)->format('d-m-Y'),
            'DateTo' => DateTime::createFromFormat($sqlDateFormat, $dateTo)->format('d-m-Y'),
            'HandlerActionName' => 'log_ins',
        ])->set_filename(static::OFFICE . 'statistics/chart');
    }
}
